Index: code/branches/presentationHS15/data/overlays/HUDTemplates3.oxo
===================================================================
--- code/branches/presentationHS15/data/overlays/HUDTemplates3.oxo	(revision 10959)
+++ code/branches/presentationHS15/data/overlays/HUDTemplates3.oxo	(revision 10961)
@@ -27,4 +27,22 @@
 </Template>
 
+<Template name="rockethud">
+  <OverlayGroup name = "rockethud" scale = "1, 1">
+    <HUDRocketFuelBar
+     name          = "RocketFuelBar1"
+     background    = "Orxonox/BarBackground"
+     size          = "0.40, 0.04"
+     position      = "0.0 , 1.0 "
+     pickpoint     = "0, 1"
+     correctaspect = true
+     iconmaterial  = "Orxonox/BarIconFuel"
+    >
+      <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
+      <BarColour position = 0.5 colour = "0.7,0.7,0.2" />
+      <BarColour position = 1.0 colour = "0.2,0.7,0.2" />
+    </HUDRocketFuelBar>
+  </OverlayGroup>
+</Template>
+
 <Template name="spaceshiphud">
   <OverlayGroup name = "spaceshiphud" scale = "1, 1">
@@ -34,16 +52,16 @@
      name              = "HealthBar1"
      background        = "Orxonox/HealthBarBackground"
-     size              = "0.35, 0.0875"
-     position          = "0.0 , 0.9 "
+     size              = "0.40, 0.08"
+     position          = "0.0 , 0.85 "
      pickpoint         = "0, 1"
      bartexture        = "healthbar_bar.png"
      textfont          = "VeraMono"
      textusebarcolour  = true
-     textsize          = 0.039
-     textoffset        = "0.315, 0.05"
+     textscale          = 0.4
+     textoffset        = "0.325, -0.825"
      textpickpoint     = "0, 0"
      textalign         = "right"
-     correctaspect     = false
-     textcorrectaspect = false
+     correctaspect     = true
+     iconmaterial      = "Orxonox/BarIconHealth"
     >
       <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
@@ -51,12 +69,27 @@
       <BarColour position = 1.0 colour = "0.2,0.7,0.2" />
     </HUDHealthBar>
+
+    <HUDShieldBar
+     name          = "ShieldBar1"
+     background    = "Orxonox/BarBackground"
+     size          = "0.40, 0.04"
+     position      = "0.0 , 0.9 "
+     pickpoint     = "0, 1"
+     correctaspect = true
+     iconmaterial  = "Orxonox/BarIconShield"
+    >
+      <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
+      <BarColour position = 0.5 colour = "0.7,0.7,0.2" />
+      <BarColour position = 1.0 colour = "0.2,0.7,0.2" />
+    </HUDShieldBar>    
 
     <HUDSpeedBar
      name          = "SpeedBar1"
      background    = "Orxonox/BarBackground"
-     size          = "0.35, 0.05"
+     size          = "0.40, 0.04"
      position      = "0.0 , 0.95 "
      pickpoint     = "0, 1"
-     correctaspect = false
+     correctaspect = true
+     iconmaterial  = "Orxonox/BarIconSpeed"
     >
       <BarColour position = 0.0 colour = "0.7,0.5,0.2" />
@@ -67,9 +100,10 @@
     <HUDBoostBar
      name          = "BoostBar1"
-     backgroundtex = "bar1.png"
-     size          = "0.35, 0.05"
+     background    = "Orxonox/BarBackground"
+     size          = "0.40, 0.04"
      position      = "0.0 , 1.0 "
      pickpoint     = "0, 1"
-     correctaspect = false
+     correctaspect = true
+     iconmaterial  = "Orxonox/BarIconBoost"
     >
       <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
@@ -81,16 +115,16 @@
      name              = "EnemyHealthBar"
      background        = "Orxonox/HealthBarBackground"
-     size              = "0.35, 0.0875"
-     position          = "1 ,0.1"
-     pickpoint         = "1, 1"
+     size              = "0.4, 0.08"
+     position          = "1 ,0"
+     pickpoint         = "1, 0"
      bartexture        = "healthbar_bar.png"
      textfont          = "VeraMono"
      textusebarcolour  = true
-     textsize          = 0.039
-     textoffset        = "0.315, 0.05"
+     textscale         = 0.4
+     textoffset        = "-0.675, 0.175"
      textpickpoint     = "0, 0"
      textalign         = "right"
-     correctaspect     = false
-     textcorrectaspect = false
+     correctaspect     = true
+     iconmaterial      = "Orxonox/BarIconHealth"
     >
       <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
@@ -98,4 +132,18 @@
       <BarColour position = 1.0 colour = "0.2,0.7,0.2" />
     </HUDEnemyHealthBar>
+
+    <HUDEnemyShieldBar
+     name          = "EnemyShieldBar1"
+     background    = "Orxonox/BarBackground"
+     size          = "0.40, 0.04"
+     position      = "1.0 , 0.1 "
+     pickpoint     = "1, 0"
+     correctaspect = true
+     iconmaterial  = "Orxonox/BarIconShield"
+    >
+      <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
+      <BarColour position = 0.5 colour = "0.7,0.7,0.2" />
+      <BarColour position = 1.0 colour = "0.2,0.7,0.2" />
+    </HUDEnemyShieldBar>   
 
     <HUDNavigation
@@ -127,4 +175,13 @@
      mapAngle3D   			= 0.6435011
     />
+
+    <HUDWeaponSystem
+     name                   = "WeaponSystem"
+     correctaspect          = true
+     position               = "0.01, 0.01"
+     pickpoint              = "0, 0"
+     visible                = "true"
+     weaponModeHUDSize      = "0.09, 0.03"
+    />
     
     <HUDTimer
